Bug 17787 - Only specific version-named library is installed
Summary: Only specific version-named library is installed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: procps (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 17786
TreeView+ depends on / blocked
 
Reported: 2000-09-22 06:29 UTC by kenneth_porter
Modified: 2007-04-18 16:28 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-29 02:21:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kenneth_porter 2000-09-22 06:29:13 UTC
Only /lib/libproc.2.0.7 is installed, not the less-specific links. Other packages (specifically, rusers) then bind to a specific version, making it 
impossible to upgrade procps without either uninstalling the dependent package or forcing the upgrade.See also bugid 17786.

Comment 1 Michael K. Johnson 2001-02-01 20:05:29 UTC
The minor number of the procps library does not change unless there are
incompatible changes.  procps does not export a -devel package for a
reason: the large amount of work to change libproc into a proper interface
hasn't been done.  libproc exists to save space between procps programs,
it is not an exported interface.  I agree that this is suboptimal, but
I don't have time to change it now.

Comment 2 Alexander Larsson 2004-02-05 10:33:29 UTC
Mass reassign to new owner

Comment 3 Alexander Larsson 2004-02-05 10:35:12 UTC
Mass reassign to new owner

Comment 4 Alexander Larsson 2004-02-05 10:35:51 UTC
Mass reassign to new owner

Comment 5 Alexander Larsson 2004-02-05 10:37:07 UTC
Mass reassign to new owner

Comment 6 Alexander Larsson 2004-02-05 10:38:04 UTC
Mass reassign to new owner

Comment 7 Daniel Walsh 2004-03-29 02:21:16 UTC
Fixed in new version 3.2.0


Note You need to log in before you can comment on or make changes to this bug.